
/* Booking css */

.mediaotg_modal-content {
  color: #2D996E !important;
  left: 50% !important;
  transform: translate(-50%) !important;
  width: 100%;
  text-align: center;
}



#search_dr,
.search_dr {
  display: none !important;
}

.custom_filter {
  position: absolute;
  background: #fff;
  left: 50%;
  transform: translate(-50%);
  z-index: 10;
  box-shadow: 0px 10px 28px #0000001a;
  border: 1px solid #C0D1D6;
  border-radius: 50px;
  bottom: -7%;
  width: 50%;
}

.custom_filter #doctor_filter {
  display: none;
}

#doctor_filter .choose_option {
  height: 315px;
  overflow: scroll;
}


.page-template-template-request-appointment .custom_filter  {
  width: 61%;
}

.page-template-template-request-appointment .custom_filter #doctor_filter {
  display: flex;
}


.top_baner_request_app .custom_filter {
  bottom: 7%;
}

.top_baner_request_app .custom_filter .select_wrap #timeslot_filter {
  padding-right: 11%;
}

#timeslot_filter .choose_option li {
  height: auto;
}

#timeslot_filter .choose_option li input[type=radio]:checked:before {
  left: 50%;
}

#timeslot_filter .choose_option li input {
  z-index: auto;
}

.custom_filter .select_wrap {
  display: flex;
  align-items: center;
}

.select_choose {
  display: flex;
  align-items: center;
  width: 100%;
}

.select_choose .select_icon{
  width: 15%;
}

.select_choose .select_option {
  width: 77%;
}


.select_option {
  position: relative;
  text-align: left;
  margin-left: 7%;
}

.select_option::after {
  content: '\f107';
  font-family: "font awesome 5 pro";
  font-weight: 300;
  color: #909090;
  position: absolute;
  right: 0;
  bottom: 5%;
}

.select_option_field {
  display: flex;
  text-align: center;
  align-items: center;
  width: 40%;
  margin-right: 0;
  padding: 2% 2%;
  position: relative;
  cursor: pointer;
  height: 5vw;
}

.select_option_field:hover,
.btn_bgd {
  background: #f1f6f8;
}

.select_option_field::after {
  content: '';
  width: 1px;
  height: 50%;
  background: #C0D1D6;
  position: absolute;
  right: 0;
}

.select_option_field:hover .select_option span,
.select_option_field:hover .select_option::after,
.select_option_field.filter-drop-open .select_option::after {
  color: #2D996E !important;
}

.select_option_field.filter-drop-open .select_option::after {
    content: '\f106';
}


.select_option_field.filter-drop-open {
  background: #f1f6f8;
}

.select_option_field.filter-drop-open .select_option span {
  color: #2D996E !important;
}

.select_wrap #timeslot_filter {
  width: 57%;
  padding-right: 17%;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  width: 54%;
  padding-right: 15%;
}


.select_option_field img {
  height: 1.7vw;
  object-fit: contain;
}

.select_option_field h4 {
  font-size: 1.04vw;
  color: #254964;
  font-family: basic-sans,sans-serif;
  font-weight: 900;
  font-style: normal;
  line-height: 1;
}

.select_option_field span {
  color: #909090 !important;
  font-size: 0.78vw !important;
  font-family: basic-sans,sans-serif !important;
  font-weight: 400 !important;
  font-style: normal !important;
  text-transform: inherit !important;
}

.select_option_field span::after {
  display: none !important;
}

.filter_btn {
  position: relative;
  padding: 1.65%;
  padding-right: 2.5%;
  display: flex;
  height: 5vw;
  align-items: center;
}

.filter_btn input {
  background: transparent;
  border: none;
  color: transparent;
  width: 4.42vw;
  height: 2.6vw;
  cursor: pointer;
  background: #2D996E;
  border-radius: 32px;
  -webkit-appearance: none;
}

.filter_btn::after {
  content: '\f063';
  font-family: "font awesome 5 pro";
  color: #fff;
  position: absolute;
  top: 41%;
  left: 43%;
  pointer-events: none;
  transform: rotate(-90deg);
}

.page-template-template-request-appointment .filter_btn::after {
  content: '\f063';
  font-family: "font awesome 5 pro";
  color: #fff;
  position: absolute;
  top: 50%;
  left: 48%;
  pointer-events: none;
  transform: rotate(-90deg);
  transform: translate(-50%,-50%);
}

#timeslot_filter::after {
  display: none;
}

#location_filter {
  padding-left: 3%;
  border-top-left-radius: 50px;
  border-bottom-left-radius: 50px;
}

.filter_btn {
 position: absolute;
 right: 0;

}


/* Filter dropdown */

.calendar_box {
  border-bottom: none !important;
  background: #fff !important;
  border-radius: 15px;
  width: 75%;
}

.preferred_time {
  width: 25%;
}

.choose_option {
  display: none;
  position: absolute;
  top: 110%;
  box-shadow: 0px 11px 30px #0d295527;
  border: 1px solid #C0D1D6;
  border-radius: 15px;
  background: #fff;
  min-width: 17.7vw;
}

.select_option_field.filter-drop-open .choose_option {
  display: block;
}

.select_option_field .choose_option.open {
  display: block;
}

.choose_option li {
  width: 100%;
  display: flex;
  align-items: center;
  padding: 0 4% !important;
  border-bottom: 1px solid #E3EAED;
  cursor: pointer;
  height: 3.4vw;
  position: relative;
}

#reason_filter .choose_option li,
#doctor_filter .choose_option li  {
  height: 2.5vw;
}

#reason_filter .choose_option {
  height: 290px;
  overflow: scroll;
}

.choose_option li:first-child {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  padding-top: 5px !important;
}

.choose_option li:last-child {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  padding-bottom: 5px !important;
}

.choose_option li:hover {
  background: #F0F6F8
}

.choose_option li .choose_value {
  text-align: left;
}

.choose_option li .choose_value {
  text-align: left;
  margin-left: 6%;
  /* width: 100%; */
  position: absolute;
  left: 27px;
}

.choose_option li .choose_value label {
  font-size: 0.83vw;
  color: #39586A;
  font-family: basic-sans,sans-serif;
  font-weight: 900;
  font-style: normal;
  width: 100%;
  display: block;
  padding-top: 4%;
  padding-bottom: 4%;
}

#location_filter label {
  padding-bottom: 0;
} {

}

.choose_option li .choose_value span {
  display: block;
  font-size: 0.72vw;
  color: #39586A;
  opacity: 0.72;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  padding-bottom: 4%;
}

.choose_option li input {
  position: relative;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  position: relative;
  cursor: pointer;
  /*height: 1.14vw;*/
  height: 100%;
  width: 100%;
  min-width: 1.14vw;
  margin: 0;
  z-index: 5;
}

.choose_option li input[type=radio]:before {
  content: "";
  display: block;
  height: 1.14vw;
  width: 1.14vw;
  background: url(../images/radio_uncheck.svg);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}


.choose_option li input[type=radio]:checked:before {
  position: absolute;
  left: 3.5%;
  top: 50%;
  transform: translate(-50%, -50%);
  height: 1.14vw;
  width: 1.14vw;
  display: flex;
  justify-content: center;
  align-items: center;
  background: url(../images/radio_check.svg);
  background-size: 100% 100%;
}

/*  */


.choose_option li input[type=checkbox]:before {
  content: "";
  display: block;
  height: 1.14vw;
  width: 1.14vw;
  background: url(../images/uncheck.svg);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: 50%;
  left: 0px;
  transform: translateY(-50%);
}

.choose_option li input[type=checkbox]:checked:before {
  content: '';
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  cursor: pointer;
  z-index: 1;
  height: 1.14vw;
  width: 1.14vw;
  display: flex;
  justify-content: center;
  align-items: center;
  background: url(../images/checked.svg);
  background-size: contain;
  left: 3.6%;
}








/* Calendar */






.calendar_choose {
  min-width: 26.3vw;
  left: 0;
}

.calendar_choose .chose_date {
  align-items: flex-start;
}

.chose_date {
  background: #fff !important;
}

.right {
  text-align: right;
}
.center {
  text-align: center;
}
.pointer {
  cursor: pointer;
}
.group:after {
  content: "";
  display: table;
  clear: both;
}
.calendar {
  position: relative;
  max-width: 100%;
  min-height: 15em;
  overflow: hidden;
  color: #ddd;
  -webkit-border-radius: 0;
  border-radius: 0;
  border-right: 1px solid #C0D1D6;
  padding-right: 5%;
  margin-right: 5%;
  padding-bottom: 2%;
}

.pointer.center.monthname {
  color: #254964;
  font-size: 0.88vw;
  font-family: basic-sans,sans-serif;
  font-weight: 900;
  font-style: normal;
  margin: 5% auto !important;
  width: 100%;
}

/*Styles for dropdown*/

.calendar-ympicker{
  position: absolute;
  max-width: 19.5em; /*stop more years causing overflow*/
  min-height: 15em;
  padding: .5em .5em 1em;
  transform: translateY(-100%); /*Start offscreen*/
  transition: transform ease-in-out 0.2s;
  background: rgb(51, 51, 51);
  z-index: 2;
}
.calendar-ympicker-header div{
  display: inline-block;
  color:#428bca;
  cursor: pointer;
}
.calendar-ympicker .close{
  text-align: right;
  border: 1px transparent solid;
}
.calendar-ympicker li{
  display: inline-block;
  line-height: 2em;
  border: 1px transparent solid;
  text-align: center;
  cursor: pointer;
}
.calendar-ympicker li:hover{
  border-color: #428bca;
  color: #428bca;
}    
.calendar-ympicker-months{
  border-bottom: 1px solid #444;
}
.calendar-ympicker-months li{
  width: 30%;
}
.calendar-ympicker-years{
  overflow-x: scroll;
  white-space: nowrap;
  padding: 0.5em 0;
}
.calendar-ympicker-years li{
  width: 25%;
}
/*Years scroll bar*/
.calendar-ympicker-years::-webkit-scrollbar-thumb:horizontal:hover {
  background:#428bca;
}
.calendar-ympicker-years::-webkit-scrollbar {
  height: 8px;
}
.calendar-ympicker-years::-webkit-scrollbar-track {
  background-color: #555;
  -webkit-border-radius: 10px;
  border-radius: 10px;
}
.calendar-ympicker-years::-webkit-scrollbar-thumb {
  background-color: #aaa;
  -webkit-border-radius: 10px;
  border-radius: 10px;
}

/*Styles for main part of calander*/

.calendar-header .arrow{
  position: absolute;
  width: 10%;
  top: 5%;
  margin: 0;
}
.calendar-header .addmonth{
  right: 0.5em;
  text-align: left;
}
.calendar-header .arrow span{
  display: inline-block;
  transition: transform ease-in-out 0.2s;
}


.calendar-days {
  padding: 0 0.5em 2%;
  border-bottom: 1px solid #C4C4C4;
  color: #788895;
  font-size: 0.7vw;
  text-transform: uppercase;
  margin-bottom: 4%;
}

/*Dates*/
.calendar-body{
  padding: 0;
}


.calendar-body li:first-child{
  border-top-right-radius: 50% !important;
  border-top-left-radius: 50% !important; 
  padding-top: 0.5vw !important;
}


.calendar-body li:last-child {
  padding-bottom: 0.5vw !important;
  border-bottom-right-radius: 50% !important;
  border-bottom-left-radius: 50% !important;
}


.calendar-body li, .calendar-days li {
  float: left;
  width: -webkit-calc(100%/7);
  padding: .25em 0;
  border: 1px transparent solid;
  text-align: center;
  cursor: pointer;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  padding: 0.5vw 0 !important;
  border-radius: 50%;
  display: block;
}

.calendar-days li:first-child {
  padding: 0.5vw 0 !important;
}

.calendar-days li:hover {
  background: transparent;
}

.calendar-body li {
  color: #39586A;
  font-size: 0.88vw;
}

.calendar-body li:hover {
  border: 1px solid #2D996E;
  background-color: #2D996E;
  color: #fff;
}
.calendar li.active{
  background-color: #2D996E !important;
  color: #fff !important;
}
.calendar-body .today{
  border: 1px solid #E2EEF2 !important;  
  background-color: #E2EEF2 !important; 
  color: #117AA9 !important;   
}
.calendar-body li.noclick{
  cursor: auto;
  pointer-events: none;
}


/* Search doctor */

.search_dr {
  position: relative;
}


.search_dr input {
  width: 100% !important;
  color: rgba(37, 73, 100, 0.55);
  font-size: 0.8vw;
  background: #EAF2F6;
  border: none;
  margin: 3% 0 !important;
  padding: 5%;
}

.search_dr:hover {
  background: #fff !important;
}

.search_dr input::-webkit-input-placeholder {  
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  color: rgba(37, 73, 100, 0.55);
  font-size: 0.8vw;
  font-weight: normal;
}

.search_dr input::-moz-placeholder{ 
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  color: rgba(37, 73, 100, 0.55);
  font-size: 0.8vw;
  font-weight: normal;
}

.search_dr input:-ms-input-placeholder {
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  color: rgba(37, 73, 100, 0.55);
  font-size: 0.8vw;
  font-weight: normal;
}
.search_dr input:-moz-placeholder { 
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  color: rgba(37, 73, 100, 0.55);
  font-size: 0.8vw;
  font-weight: normal;
}


.calendar_choose .calendar_box,
.calendar_choose .preferred_time {
  display: inline-block;
}


/* Preferred time  */

.preferred_time span {
  font-size: 0.6vw !important;
  text-transform: uppercase;
  color: #788895;
  display: block;
  width: 100%;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  padding: 15% 0 10%;
  text-align: left;
}


.time_calendar input {
  width: 100% !important;
  height: 2.1vw !important;
}

.time_calendar {
  position: relative;
}

.time_calendar label {
  font-size: 0.8vw;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  position: absolute;
  top: 44%;
  left: 50% !important;
  transform: translate(-50%, -50%);
  width: 100%;
  color: #39586A;

  text-indent: 14px;
  white-space: nowrap;
}

.time_calendar input[type=radio]:before {
  background: none !important;
  width: 100% !important;
  height: 100% !important;
  background: #E2EEF2 !important;
  border-radius: 5px;
}

.time_calendar input[type=radio]:checked:before {
  background: #2D996E !important;
}

.active_time label {
  color: #fff;
}


/* Request app page result */


.top_baner_request_app .top_baner_content::after {
  background-color: #e9f4f6;
}

.top_baner_request_app .top_baner_content h1 {
  color: #254964;
}

.top_baner_request_app .top_baner_content {
  margin-top: -15.5% !important;
}

.top_baner_request_app .baner_desc {
  top: 53.5%;
}
.fillInToContinue {
  color: black;
  background: #F8FBFD;
  text-align: center;
  width: 100%;
  font-size: 23px;
  padding: 10% 0 5%;
  margin-top: -4%;
  z-index: 5;
  position: relative;
}
.fillInToContinue  span {
  font-size: 66px;
}

.fill_appointment {
  font-size: 1.14vw;
  color: #39586A;
}

.fillInToContinue i {
  font-size: 3vw;
}

.request_app {
  display: none;
  background: #F8FBFD;
  padding: 8% 12%;
  margin-top: -4%;
  position: relative;
  z-index: 5;
}

.request_app .request_app_left {
  width: 50%;
  padding-right: 8.5%;
}

.request_app .request_app_left iframe {
  border: 1px solid #D9D9D9 !important;
  border-radius: 5px;
  width: 100%;
  height: 28.6vw;
}

.request_app .request_app_right {
  width: 50%;
}

.request_app .request_app_right h2 {
  color: #254964;
  font-size: 1.3vw;
  font-family: 'LTWave-Bold';
  margin: 0;
}

/* Form */


.custom-form {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 4%;
}


.form-group {
  position:relative;
  width: 100%;
  margin-bottom: 2%;
}

.c_50 {
  width: 49%;
}

.form-group.full {
  width: 100%;
}


.custom-form label {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  pointer-events: none;
  font-weight: normal;
  transition: top 0.2s;
  z-index: 5;
  padding-left: 20px;
  color: #39586A;
  opacity: 0.55;
  font-size: 0.93vw;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
}

.custom-form .full label {
   top: 20%;
}

.custom-form input {
  width: 100%;
  background: #fff;
  border-radius: 6px;
  border: 1px solid #92A9B4;
  height: 3.12vw;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #39586A;
  font-size: 0.93vw;
  margin: 0;
  padding: 0 20px;
}

.custom-form textarea {
  height: 160px;
  width: 100%;
  background: #fff;
  border-radius: 6px;
  border: 1px solid #92A9B4;
  padding-top: 25px;
  padding-left: 20px;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  color: #39586A;
  font-size: 0.93vw;
}

.custom-form input:focus + label,
.custom-form input.has-value + label,
.custom-form textarea:focus + label,
.custom-form textarea.has-value + label {
    padding-left: 20px;
    top: 13px;
    font-size: 0.57vw;
}

.custom-form textarea:focus + label {
    top: 10%
}

.custom-form textarea.has-value + label {
  top: 10%;
}

.custom-form input:focus::-webkit-input-placeholder {
    color: transparent;
}

.has-value,
.custom-form input:focus,
.custom-form textarea:focus  {
  background: #FFFFFF !important;
}

.custom-form button {
  background: #2D996E !important;
  border: none;
  width: 13.3vw;
  border-radius: 1.7vw;
  color: #fff;
  font-size: 0.78vw;
  height: 3vw;
  line-height: 3vw;
  cursor: pointer;
  font-family: basic-sans,sans-serif;
  font-weight: 900;
  font-style: normal;
  -webkit-transition: all .5s;
  -o-transition: all .5s;
  transition: all .5s;
  border: 1px solid #2D996E;
}

.custom-form button:hover {
  background: #DFEFE9 !important;
  color: #2D996E;
}

.submit_request {
  display: flex;
  width: 100%;
  justify-content: space-between;
  margin-top: 2%;
}

.submit_request span {
  color: #254964;
  font-size: 0.93vw;
  font-family: basic-sans,sans-serif;
  font-weight: 400;
  font-style: normal;
  margin-bottom: 3%;
  display: inline-block;
}

.submit_request .request_checkbox {
  display: flex;
}

.submit_request .request_checkbox li {
  display: flex;
  align-items: center;
  margin-right: 2vw;
}

.submit_request .request_checkbox label {
  position: static;
  transform: none;
  padding-left: 10px !important;
  font-size: 0.83vw !important;
  color: #39586A;
  opacity: 1;
}

.submit_request .request_checkbox input {
  position: relative;
  -webkit-appearance: none !important; 
  -moz-appearance: none !important;
  appearance: none !important;
  position: relative;
  cursor: pointer;
  height: 1.14vw;
  width: 1.14vw;
  min-width: 1.14vw;
  margin: 0;
  padding: 0 !important;
}


.submit_request .request_checkbox input[type=checkbox]:before {
  content: "";
  display: block;
  height: 1.14vw;
  width: 1.14vw;
  background: url(../images/request_check.svg);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: -1px;
  left: -1px;
}



.submit_request .request_checkbox input[type=checkbox]:checked:before {
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
    z-index: 1;
    height: 1.14vw;
    width: 1.15vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(../images/checked.svg);
    background-size: contain;
}



@media only screen and (max-width: 991px) {

  .mediaotg_modal-content {
    top: 92% !important;
  }



  .filter_btn::after {
    left: 50% !important;
  }

  .time_calendar label {
    text-indent: 13px;
  }


  #timeslot_filter .select_option span {
    width: 140px;
    display: inherit;
    white-space: nowrap;
    overflow: hidden;
  }


  .choose_option li .calendar_box .calendar-bodyli:last-child{
    padding-bottom: 0 !important;
  }
}


@media only screen and (max-width: 768px) {
  .mediaotg_modal-content {
      top: 81% !important;
  }
}


@media only screen and (max-width: 376px) {
  .mediaotg_modal-content {
    top: 107% !important;
    font-size: 13px;
  }
}

@media only screen and (max-width: 360px) {
  .mediaotg_modal-content {
    top: 195% !important;
    font-size: 13px;
  }
}




